local emoji_template = " <img class=emoji src=\"/emoji/$NAME.png\" alt=\"$NAME\" title=\"$NAME\"> "
local emoji_pat = "%$NAME"

return {
  ["angry"] = emoji_template:gsub(emoji_pat, "angry"),
  
  ["("] = emoji_template:gsub(emoji_pat, "frown"),
  
  ["D"] = emoji_template:gsub(emoji_pat, "grin"),
  
  ["imp"] = emoji_template:gsub(emoji_pat, "imp"),
  
  ["angryimp"] = emoji_template:gsub(emoji_pat, "impangry"),
  ["impangry"] = emoji_template:gsub(emoji_pat, "impangry"),
  
  ["|"] = emoji_template:gsub(emoji_pat, "neutral"),
  
  [")"] = emoji_template:gsub(emoji_pat, "smile"),
  
  [","] = emoji_template:gsub(emoji_pat, "sob"),
  ["T"] = emoji_template:gsub(emoji_pat, "sob"),
  ["cry"] = emoji_template:gsub(emoji_pat, "sob"),
  ["sob"] = emoji_template:gsub(emoji_pat, "sob"),
  
  ["o"] = emoji_template:gsub(emoji_pat, "surprised"),
  ["O"] = emoji_template:gsub(emoji_pat, "surprised"),
  
  ["hmm"] = emoji_template:gsub(emoji_pat, "think"),
  ["think"] = emoji_template:gsub(emoji_pat, "think"),
  ["thinking"] = emoji_template:gsub(emoji_pat, "think"),
  
  ["P"] = emoji_template:gsub(emoji_pat, "tongue"),
  ["p"] = emoji_template:gsub(emoji_pat, "tongue"),
  
  [";"] = emoji_template:gsub(emoji_pat, "wink"),
  ["wink"] = emoji_template:gsub(emoji_pat, "wink"),
}
